spring:
  application:
    name: pomodoro71
  datasource:
    username: ${POMODORO71_DB_USERNAME}
    password: ${POMODORO71_DB_PASSWORD}
    url: jdbc:postgresql://${POMODORO71_DB_HOST}:${POMODORO71_DB_PORT}/pomodoro71

  security:
    oauth2:
      resourceserver:
        opaque-token:
          introspection-uri: https://www.googleapis.com/
          clientId: ${POMODORO71_OAUTH_CLIENTID}
          clientSecret: ${POMODORO71_OAUTH_CLIENTSECRET}

  server:
    error:
      include-message: always

  mail:
    host: smtp.gmail.com
    port: 587
    username: ${POMODORO71_MAIL_SERVICE_USERNAME}
    password: ${POMODORO71_MAIL_SERVICE_PASSWORD}
    smtp:
      auth: true
      starttls:
        enable: true
    properties:
      mail:
        smtp:
          starttls:
            required: true

  freemarker:
    template-loader-path: classpath:/templates/email
